package com.fs.provider.enums;

/**
 * 服务单任务生成配置 - 是否需要审核
 */
public enum ServiceOrderConfigNeedAuditEnum {

    NO_NEED_AUDIT(0, "否"),
    NEED_AUDIT(1, "是");

    private final Integer code;
    private final String desc;

    ServiceOrderConfigNeedAuditEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static ServiceOrderConfigNeedAuditEnum of(Integer code) {
        if (code == null) {
            return null;
        }
        for (ServiceOrderConfigNeedAuditEnum e : values()) {
            if (e.code.equals(code)) {
                return e;
            }
        }
        return null;
    }
}
